--[[
%% properties
470 value
%% weather
Temperature
WeatherCondition
%% events
%% globals
--]]

local startSource = fibaro:getSourceTrigger();
if (
 	( api.get('/weather')['WeatherCondition'] == "clear" )
 	and
 	( tonumber(api.get('/weather')['Temperature']) > tonumber(25) )
 	or
   ( tonumber(fibaro:getValue(470, "value")) > 500 )
    or
     startSource["type"] == "other"
  ) then
  
	fibaro:call(565, "open"); --rozkaz otwarcia zaslony - Roller Shutter na 100 %
end

